.edit.view input[type="text"],
.edit.view input[type="file"],
.edit.view input[type="password"],
.edit.view select,
.edit.view textarea {
  width: 320px;
  box-sizing: border-box;
}

.edit.view input[id="name"] {
  width: 320px !important;
}

#scheduler .edit.view input[type="text"], 
#scheduler .edit.view input[type="file"], 
#scheduler .edit.view input[type="password"], 
#scheduler.edit.view select, 
#scheduler .edit.view textarea {
  width: 180px;
}

.edit.view select.salutation-se1,
.edit.view select#salutation:not([class]) {
  width: 100px;
}

input[disabled]{
  opacity: 0.7;
  background-color: #e9ecef;
  color: #6c757d;
}

.edit.view #task_type {
  width: auto;
}

.edit.view .dateTime td {
  vertical-align: top;
}
.edit.view .dateTime .validation-message {
  width: 40px;
}

#asol_Task #task_type {
  background: #ccc;
  pointer-events: none;
}
#asol_Task #EditView #detailpanel_1 {
  height: 1px;
}

.edit.view .salutation-se1 + input.salutation-inp1,
.edit.view select#salutation:not([class]) + input#first_name {
  width: 214px;
}

.edit.view .sqsEnabled {
  width: 242px !important;
}

.edit.view .sms-quickcreate-inp2 {
  width: 200px !important;
}

.edit.view input.datetimecombo-editview-inp1,
.edit.view input.date-start-date,
.edit.view input.date_start_date {
  width: 85px;
}

input[title*="email address"],
#Leads0emailAddress0,
#Accounts0emailAddress0 {
  width: 100% !important;
}

select[id^="date"][id$="hours"],
select[id^="date"][id$="minutes"],
select[id^="date"][id$="meridiem"],
.edit.view input[name="time_start"],
.edit.view select[name="meridiem"] {
  width: 61px;
  min-width: 61px;
}

#renewal_reminder_date_hours,
#renewal_reminder_date_minutes,
#renewal_reminder_date_meridiem {
  width: 63px;
  min-width: 63px;
}

div[id^="date"][id$="time_section"] {
  font-size: 10px;
}

.edit.view select.parent-editview-se1,
.edit.view .sms-quickcreate-se1 {
  width: 100px;
}

.edit.view .parent-editview-se1 + input.parent-editview-inp1 {
  width: 133px !important;
}

.sms-quickcreate-table .sms-quickcreate-se1 + input.sms-quickcreate-inp1 {
  width: 92px !important;
}

.datetimecombo-rangesearch-inp1 {
  width: 100px !important;
}

.edit.view.search.advanced .one-field .datetimepbx-rangesearchform-se1 {
  width: 103px;
}

.datetimecombo-rangesearch-inp2,
.datetimecombo-rangesearch-inp3,
.datetimepbx-rangesearchform-inp2,
.datetimepbx-rangesearchform-inp3 {
  width: 80px !important;
  margin-top: 5px;
  margin-bottom: 5px;
}

.between-range-div {
  line-height: 34px;
}

.edit.view select.emailtempl-editview-se2,
.edit.view input.emailtempl-editview-inp1 {
  width: 127px;
  margin-top: 5px;
}

.edit.view select.meetings-reminders-se1 {
  width: 186px;
}

.edit.view input#duration_hours,
.edit.view select.duration-minutes,
.edit.view select.duration-seconds {
  width: 103px;
  vertical-align: top;
}

.report-xloo .edit.view input[type="file"],
.report-xloo .edit.view select,
.report-xloo .edit.view input[name="saved_search_name"] {
  width: 130px; /* TODO REMOVE THIS PIPE AFTER REDESIGN page  \www\modules\xloo_report\tpls\panel.tpl  */
}

.edit.view input[type="text"][id^="Users"][id*="email"][id*="Address"] {
  width: 320px !important; /* TODO REMOVE THIS PIPE AFTER REDESIGN user email pages */
}

.edit.view select.aospdftemplate-editview-field,
.edit.view input.aospdftemplate-editview-field {
  width: 105px;
  vertical-align: top;
}

.edit.view select.work-hour-from,
.edit.view select.work-hour-to {
  width: 178px;
}

.time-section {
  width: 270px;
}

.edit.view .time-section select {
  width: 80px;
}

.edit.view .time-section select.width-100 {
  width: 100%;
  max-width: 260px;
}

.edit.view .email-import-setting .email-import-se1 {
  width: 95px;
}

.edit.view .email-import-setting .email-import-inp1 {
  width: 195px !important;
}

/* ---------------------search advanced---------------- */
.edit.view.search.advanced input[type="text"],
.edit.view.search.advanced input[type="password"],
.edit.view.search.advanced select,
.edit.view.search.advanced textarea,
.edit.view.column-3 input[type="text"],
.edit.view.column-3 input[type="file"],
.edit.view.column-3 select,
.edit.view.column-3 textarea {
  width: 228px;
}

.edit.view.search.advanced select[multiple="true"] {
  width: 228px !important;
}

.edit.view.search.advanced .sqsEnabled {
  width: 150px !important;
}

.edit.view.search.advanced select.int-rangesearch-se1 {
  width: 154px;
}

.edit.view.search.advanced input.int-rangesearch-inp2,
.edit.view.search.advanced input.int-rangesearch-inp3 {
  width: 100px !important;
  margin-top: 5px;
  margin-bottom: 5px;
}

.edit.view.search.advanced input.saved-search-name {
  width: 173px;
}

.edit.view.search.advanced input.int-rangesearch-inp2 + span {
  line-height: 30px;
  display: inline-block;
}

/* -----------------------ui dialog-------------------- */
.dialog-table-overflow .edit.view input[type="text"],
.dialog-table-overflow .edit.view input[type="password"],
.dialog-table-overflow .edit.view input[type="file"],
.dialog-table-overflow .edit.view select,
.dialog-table-overflow .edit.view textarea,
.outbound-servers .edit.view input[type="text"],
.outbound-servers .edit.view input[type="password"],
.outbound-servers .edit.view input[type="file"],
.outbound-servers .edit.view select,
.outbound-servers .edit.view textarea {
  width: 190px;
}

/* ---------------------main table--------------------- */
.one,
.one[width="12.5%"] {
  width: 12.5%;
  min-width: 180px;
}

.two[width="37.5%"],
.one[width="12.5%"] + .two {
  width: 37.5%;
}

.one[width="12.5%"] + .two[colspan="4"] {
  width: 87.5%;
}

#CalendarEditView .one, 
#CalendarEditView .one[width="12.5%"] {
  min-width: 90px;
}

.two .one {
  width: 25%;
}

.two .two {
  width: 75%;
}


/* ---------------------- common ------------------------ */

.width-100 {
  width: 100%;
}

.table-fixed {
  table-layout: fixed;
}

.va-top {
  vertical-align: top;
}

/* marketing emails schedule calendar */
#schedule-calendar {
  display:inline;
}
#schedule-calendar .range_execution{
  width: auto;
  max-width: 120px;
}
#schedule-calendar .range_week, 
#schedule-calendar .range_days {
  width: 80px;
}
#schedule-calendar .range_hours,
#schedule-calendar .range_minutes {
  min-width: 40px;
  width: 50px;
}

#LBL_TASK_IMPLEMENTATION_PANEL tr > td:nth-child(1) {
  width: 5% !important;
  min-width: 90px !important;
}
#LBL_TASK_IMPLEMENTATION_PANEL tr > td:nth-child(2) {
  width: 10% !important;
  min-width: 120px !important;
}
#pltct_advanced_range_choice {
  width: 125px;
}
#pltct_advanced_range_div {
  vertical-align: top;
}
[name="schedule-range-table"] {
  width: 80%;
  border: 1px solid #eee;
}
[name="schedule-range-table"] .thead {
  background: #eee;
  font-size: 12px;
  font-family: Arial;
  color: #aaa;
}
[name="schedule-range-table"] td {
  width: 33%;
}
[name="schedule-range-table"] .timezone {
  font-size: 12px;
  font-family: Arial;
  color: #aaa;
}
.edit.view  [name="schedule-range-table"] select {
  min-width: 42px;
  width: 100% !important;
}
.edit.view [name="schedule-range-table"] .time {
  width: 20% !important;
}

